local astar_handlers = include("sim/astar_handlers")
local mathutil = include("modules/mathutil")
local simquery = include("sim/simquery")

local old_handleNode = astar_handlers.handler._handleNode

function astar_handlers.handler:_handleNode(to_cell, from_node, goal_cell)
	local dc = simquery.getTrueMoveCost( self._unit, from_node.location, to_cell )
	local emCost = mathutil.dist2d( to_cell.x, to_cell.y, goal_cell.x, goal_cell.y )
	
	if self._maxMP == nil or self._maxMP >= from_node.mCost + dc then
		local n = old_handleNode(self, to_cell, from_node, goal_cell)
		n.mCost = from_node.mCost + dc
		n.score = n.mCost + emCost
		return n
	end
end