local simquery = include("sim/simquery")

local function onGuardTooltip(tooltip, unit )
	local traits = unit:getTraits()
	
	if traits.frostGrenades then
		tooltip:addAbility( STRINGS.MOD_CORPS.TOOLTIPS.FROST_GRENADES, STRINGS.MOD_CORPS.TOOLTIPS.FROST_GRENADES_DESC, "gui/icons/arrow_small.png" )
	end
	
	if traits.neptune_seeker then
		tooltip:addAbility( STRINGS.MOD_CORPS.TOOLTIPS.SEEKER, STRINGS.MOD_CORPS.TOOLTIPS.SEEKER_DESC, "gui/icons/arrow_small.png" )
	end
	
	local weapon = simquery.getEquippedGun( unit )
	weapon = weapon and weapon:getTraits()
	
	if weapon then
		if weapon.neptuneTagDuration then
			tooltip:addAbility( STRINGS.MOD_CORPS.TOOLTIPS.SEEKER_DUR, string.format(STRINGS.MOD_CORPS.TOOLTIPS.SEEKER_DUR_DESC,weapon.neptuneTagDuration), "gui/icons/arrow_small.png" )
		end
		
		if weapon.neptuneMpReduce then
			tooltip:addAbility( STRINGS.MOD_CORPS.TOOLTIPS.SEEKER_AM, string.format(STRINGS.MOD_CORPS.TOOLTIPS.SEEKER_AM_DESC,weapon.neptuneMpReduce), "gui/icons/arrow_small.png" )
		end
	end
	
	if traits.frostZone then
		tooltip:addAbility( STRINGS.MOD_CORPS.TOOLTIPS.FROST_ZONE, string.format(STRINGS.MOD_CORPS.TOOLTIPS.FROST_ZONE_DESC,traits.frostZone,traits.frostZoneRange), "gui/icons/arrow_small.png" )
	end
end

local function onAgentTooltip( tooltip, unit )
	local traits = unit:getTraits()
	
	if traits.neptuneTag and traits.neptuneTag > 0 then
		tooltip:addAbility( STRINGS.MOD_CORPS.TOOLTIPS.TAGGED, string.format(STRINGS.MOD_CORPS.TOOLTIPS.TAGGED_DESC,traits.neptuneTag),"gui/icons/arrow_small.png" )
	end
	if traits.neptuneMpReduction and traits.neptuneMpReduction > 0 then
		tooltip:addAbility( STRINGS.MOD_CORPS.TOOLTIPS.MP_REDUCED, string.format(STRINGS.MOD_CORPS.TOOLTIPS.MP_REDUCED_DESC,traits.neptuneMpReduction),"gui/icons/arrow_small.png" )
	end
end

return {
	onGuardTooltip = onGuardTooltip,
	onAgentTooltip = onAgentTooltip,
}