local itemdefs = include( "sim/unitdefs/itemdefs" )
local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )

local function resetItemDefs()
	local items = {
		item_neptune_icegrenade = util.extend( commondefs.npc_grenade_template )
		{
			type = "smoke_grenade",
			name = "FROST GRENADE",
			desc = "You probably shouldn't see this tooltip",
			profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_smoke_grenade_small.png",	
			profile_icon_100 = "gui/icons/item_icons/icon-item_smoke_grenade.png",	
			kanim = "kanim_stickycam",		
			sounds = {explode="SpySociety/Grenades/smokegrenade_explo", bounce="SpySociety/Grenades/bounce_smokegrenade"},
			traits = { on_spawn = "frost_cloud", duration = 6, range=1, aimRange = 4, explodes = 0, throwUnit="item_neptune_icegrenade_thrown", keepPathing=false },
			value = 600,
			floorWeight = 2, 
		},

		item_neptune_icegrenade_thrown = 
		{
			extends = "item_neptune_icegrenade",
			name = "PULSE GRENADE THROWN",
			traits = { on_spawn = "frost_cloud", duration = 6, range=4, aimRange = 4, explodes = 0, throwUnit="item_neptune_icegrenade_thrown", keepPathing=false },
		},

		item_neptune_seekergun = util.extend( commondefs.npc_weapon_template )
		{
			type = "simunit",
			name =  STRINGS.ITEMS.DART_GUN_AMMO,
			desc =  STRINGS.ITEMS.DART_GUN_AMMO_TOOLTIP,
			flavor = STRINGS.ITEMS.DART_GUN_AMMO_FLAVOR,
			icon = "itemrigs/FloorProp_Precision_Pistol.png",	
			--profile_icon = "gui/items/icon-item_gun_pistol.png",
			profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_dart_small.png",
			profile_icon_100 = "gui/icons/item_icons/icon-item_gun_dart.png",				
			equipped_icon = "gui/items/equipped_pistol.png",
			traits = { weaponType="pistol", noKillshotSound = true, slot = "gun", neptuneTagDuration = 2, neptuneMpReduce = 1, canSleep = true },
			abilities = {"equippable"},
			sounds = {shoot="SpySociety/Weapons/Precise/shoot_dart", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_dartgun_wood"},
			weapon_anim = "kanim_precise_revolver_fix",
			agent_anim = "anims_1h",
			value = 900,
		},

		item_neptune_seekergun_2 = util.extend( commondefs.npc_weapon_template )
		{
			type = "simunit",
			name =  STRINGS.ITEMS.DART_GUN_AMMO,
			desc =  STRINGS.ITEMS.DART_GUN_AMMO_TOOLTIP,
			flavor = STRINGS.ITEMS.DART_GUN_AMMO_FLAVOR,
			icon = "itemrigs/FloorProp_Precision_Pistol.png",	
			--profile_icon = "gui/items/icon-item_gun_pistol.png",
			profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_dart_small.png",
			profile_icon_100 = "gui/icons/item_icons/icon-item_gun_dart.png",				
			equipped_icon = "gui/items/equipped_pistol.png",
			traits = { weaponType="pistol", noKillshotSound = true, slot = "gun", neptuneTagDuration = 4, neptuneMpReduce = 3, canSleep = true },
			abilities = {"equippable"},
			sounds = {shoot="SpySociety/Weapons/Precise/shoot_dart", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_dartgun_wood"},
			weapon_anim = "kanim_precise_revolver_fix",
			agent_anim = "anims_1h",
			value = 900,
		}
	}
	
	for name, itemDef in pairs(items) do
		itemdefs[ name ] = itemDef
		itemdefs[ name ].id = name
		if itemDef.extends then
			util.extend( itemdefs[ itemDef.extends ] )( itemDef )
		end
	end
end

return resetItemDefs