local util = include( "modules/util" )
local array = include( "modules/array" )
local unitdefs = include( "sim/unitdefs" )
local simunit = include( "sim/simunit" )
local simdefs = include( "sim/simdefs" )
local simquery = include( "sim/simquery" )
local simfactory = include( "sim/simfactory" )
local ClassFactory = include('modules/class_factory')

local laserbeam = { ClassType = "neptunebeam" }

function laserbeam:tripLaser( sim, x0, y0, unit )
	local emitterUnit = sim:getUnit( self:getTraits().emitterID )
	
	if unit:getTraits().mpMax then
		unit:useMP( unit:getMPMax() / 2, sim )
	end

	if emitterUnit:getPlayerOwner() and emitterUnit:getPlayerOwner():isPC() then
		emitterUnit:getPlayerOwner():glimpseUnit( sim, unit:getID() )
	elseif unit:isPC() then
		sim:getNPC():spawnInterest( x0, y0, simdefs.SENSE_RADIO, simdefs.REASON_ALARMEDSAFE, unit )		
	end
end

local function createLaserBeam( unitData, sim )
	local t = ClassFactory.Construct( "laserbeam", unitData, sim )
	return util.tmerge( t, laserbeam )
end

simfactory.register( createLaserBeam )