local simquery = include("sim/simquery")
local simdefs = include("sim/simdefs")

local oldGetMoveCost = simquery.getMoveCost

function simquery.getTrueMoveCost( unit, cell1, cell2 )
	local cost = oldGetMoveCost( cell1, cell2 )
	if (cell2.frost or 0) > 0 and unit and unit:isPC() and not unit:getTraits().isDrone and not unit:getTraits().ignoresFrostClouds then
		cost = cost * 2
	end
	return cost
end

local oldCanMoveUnit = simquery.canMoveUnit

function simquery.canMoveUnit( sim, unit, x, y )
	local ok, res = oldCanMoveUnit( sim, unit, x, y )
	if not ok then
		return oldCanMoveUnit( sim, unit, x, y )
	end
	
	local startcell = sim:getCell( unit:getLocation() )
	local endcell = sim:getCell( x, y )

	-- Must have sufficient movement available
	if unit:getTraits().mp < simquery.getTrueMoveCost( unit, startcell, endcell ) then
		return false, simdefs.CANMOVE_NOMP
	end
	
	return ok, res
end